Debian Bug report logs - #173777
xlibs: Known issues with euro support in gb keyboard definition

version graph

Package: xlibs; Maintainer for xlibs is (unknown);

Reported by: "Javier Fernandez-Sanguino Pena" <jfs@dat.etsit.upm.es>

Date: Fri, 20 Dec 2002 12:18:03 UTC

Severity: wishlist

Found in version 4.1.0-16

Done: barbier@linuxfr.org (Denis Barbier)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#173777; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to "Javier Fernandez-Sanguino Pena" <jfs@dat.etsit.upm.es>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Javier Fernandez-Sanguino Pena" <jfs@dat.etsit.upm.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xlibs: Known issues with euro support in gb keyboard definition
Date: Fri, 20 Dec 2002 13:10:49 +0100
Package: xlibs
Version: 4.1.0-16
Severity: wishlist

I have received through all this year quite a number of reports from 
users installing the 'euro-support' package (which provides a script:
'euro-test' to determine if support works in X or console environment).

I have answered to some of the users (unfortunately not all of them) who
have submitted their results asking them to read the fine manual:
http://www.debian.org/doc/manuals/debian-euro-support/ch-configure.en.html#s3.4
(also provided in the package) to configure euro support properly.

However, there are some issues which I guess could be fixed in the xlibs package,
mainly, euro sign definitions for the 'gb' keyboard which seem to lack it
(according to the reports from users).

I'm not sure if this bug is related to # 117185, #127609 and/or #139826.
Feel free to merge this if appropiate (since I'm not sure I'm filing this as
a new bug). #139826 might be relevant but locales get discussed there
instead of keyboard mappings.

Languages with reported issues include only 'gb' currently. Browsing the provided
 symbols for 'gb' I fail to see where is the euro included. However, there seems
 to be an EuroSign in the  latest Xfree version 4.2 
(from reading http://www.xfree86.org/cvs/changes.html):

(...)
 623. Add EuroSign to the xkb "gb" layout (#A.901, Dermot McNally).

So I guess that /etc/X11/xkb/symbols/gb should be changed. Browsing Xfree's
CVS server I guess the change is pretty simple 
(http://cvsweb.xfree86.org/cvsweb/xc/programs/xkbcomp/symbols/gb.diff?r1=3.4&r2=3.5&f=h)

........................ Start patch .............................
--- gb.orig     Fri Dec 20 13:09:07 2002
+++ gb  Fri Dec 20 13:08:51 2002
@@ -3,7 +3,7 @@



-// $XFree86: xc/programs/xkbcomp/symbols/gb,v 3.3 1996/12/23 07:13:25 dawes
Exp $
+// $XFree86: xc/programs/xkbcomp/symbols/gb,v 3.5 2002/12/13 04:18:03 dawes
Exp $

 partial default alphanumeric_keys
 xkb_symbols "basic" {
@@ -22,6 +22,8 @@
                        [             bar,       brokenbar      ]       };
     key <AE02> {       [               2,        quotedbl      ]       };
     key <AE03> {       [               3,        sterling      ]       };
+    key <AE04> {       [               4,          dollar      ],
+                       [         EuroSign      ]       };
     key <AC11> {       [      apostrophe,              at      ]       };
     key <BKSL> {       [      numbersign,      asciitilde      ]       };

............................. End patch ...................................

I have received other reports. You might be happy to hear that quite a long
time before the woody release (since december 2001) I have mostly received
reports of 'Euro is working great' from people using it under X:

OK reports (per language)
es: 3
de: 13
fr: 9
us: 11
ee: 1
us_eurosign: 1
en_US: 2
us_intl: 1
fi: 1
it: 7
en: 1
nl: 1
be: 1


In any case, it would be very nice if the gb layout was fixed for 3.0r2. 
I guess this bugs should have been reported earlier 
(probably even before release).  However, users seem to have failed
to do this themselves :'-(

Regards


Javi

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux tornado 2.4.18 #1 SMP miƩ abr 3 12:47:49 CEST 2002 i686
Locale: LANG=es_ES@euro, LC_CTYPE=es_ES@euro

Versions of packages xlibs depends on:
ii  libc6                         2.3.1-5    GNU C Library: Shared libraries an
ii  libfreetype6                  2.0.9-1    FreeType 2 font engine, shared lib
ii  xfree86-common                4.1.0-16   X Window System (XFree86) infrastr
ii  xlibs                         4.1.0-16   X Window System client libraries




Reply sent to barbier@linuxfr.org (Denis Barbier):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Javier Fernandez-Sanguino Pena" <jfs@dat.etsit.upm.es>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 173777-done@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: 173777-done@bugs.debian.org
Subject: Bug fixed in XFree86 4.2
Date: Sat, 25 Oct 2003 23:16:12 +0200
Javi,

as you mentioned in your bugreport, the Euro sign has been added to
the gb keyboard layout in XFree86 4.2.  As there is no chance that
such a fix goes into stable, I am closing this bug.
Thanks for your report.

Denis



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:55:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.